> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amazonomics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List categories



## OpenAPI

````yaml /api-reference/openapi.json get /v1/categories
openapi: 3.0.0
info:
  title: Amazonomics API
  version: 0.0.1
  description: The Amazonomics REST API. All endpoints need an API key.
servers:
  - url: https://api.amazonomics.com
security:
  - bearerAuth: []
paths:
  /v1/categories:
    get:
      tags:
        - Metadata
      summary: List categories
      responses:
        '200':
          description: Categories listed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  categories:
                    type: object
                    additionalProperties:
                      type: string
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                required:
                  - categories
                  - error
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  categories:
                    type: object
                    additionalProperties:
                      type: string
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                required:
                  - categories
                  - error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````